#include "OEMFeatures.h"

#if defined(FEATURE_LOGGER_DMSS)
#include "msm/bridle_loggerdmss.h"
#include "BRIDLEInit_OEM.h"

#if __ARMCC_VERSION >= 120000
#pragma arm section zidata = "bridle_svc_rw_usr_ro"
#endif
uint32 bridle_loggerdmss_swi = 0;
#if __ARMCC_VERSION >= 120000
#pragma arm section zidata
#endif

static PFNSWIHANDLER gHandlers[BRIDLE_LOGGERDMSS_COUNT];

static uint32 bridle_loggerdmss_swihandler(uint32 swi, uint32 a1, uint32 a2, 
                                           uint32 a3, uint32 a4)
{
   return bridle_generic_swihandler(swi, a1, a2, a3, a4, BRIDLE_LOGGERDMSS_COUNT, gHandlers);
}


int RegisterLoggerDMSSForSWI(void *po)
{
   gHandlers[BRIDLE_LOGGERDMSS_OEMLoggerDMSS_Commit ] = unpackbridle_OEMLoggerDMSS_Commit;   

   return(bridle_RegisterSubSystem(bridle_loggerdmss_swihandler, &bridle_loggerdmss_swi));
}

#endif // FEATURE_LOGGER_DMSS
