/*======================================================
                    IMPORTANT NOTICE

                 NO EXTERNAL DISTRIBUTION

FILE:  AEEGrinder.h

SERVICES:  AEE GRINDER Definitions

GENERAL DESCRIPTION:

        Copyright  1999-2002 QUALCOMM Incorporated.
               All Rights Reserved.
            QUALCOMM Proprietary/GTDR
=====================================================*/
#ifndef AEEGRINDER_H
#define AEEGRINDER_H

// Grinder Prefix - MSG_FATALs with this code should be examined by Grinder...

#define GRINDER_PREFIX_LEN       (3)
#define GRINDER_PREFIX           "#*g"

// Grinder Codes - Format is "#*gXX" where the XX is the code...

#define GRINDER_BREW_INIT_TAG    "BI"
#define GRINDER_BREW_EXIT_TAG    "EX"

#define GRINDER_APP_START_TAG    "ST"
#define GRINDER_APP_SUSPEND_TAG  "SU"
#define GRINDER_APP_RESUME_TAG   "RE"
#define GRINDER_APP_CLOSE_TAG    "CL"
#define GRINDER_CLOSE_APPLET_TAG "XX"

#define GRINDER_VOICE_CALL_TAG   "VC"
#define GRINDER_DATA_CALL_TAG    "DC"

#define GRINDER_EXCEPTION_TAG    "**"
#define GRINDER_CI_ERROR_TAG     "*C"

// Macros for use by BREW library...

#define GRINDER_CI_ERROR         (GRINDER_PREFIX GRINDER_CI_ERROR_TAG"=%x:%d")

#define GRINDER_APP_START       (GRINDER_PREFIX GRINDER_APP_START_TAG"=%lu")
#define GRINDER_APP_CLOSE       (GRINDER_PREFIX GRINDER_APP_CLOSE_TAG"=%lu")
#define GRINDER_APP_RESUME      (GRINDER_PREFIX GRINDER_APP_RESUME_TAG"=%lu")
#define GRINDER_APP_SUSPEND     (GRINDER_PREFIX GRINDER_APP_SUSPEND_TAG"=%lu")

#define GRINDER_CLOSE_APPLET     (GRINDER_PREFIX GRINDER_CLOSE_APPLET_TAG"=%s")

#define GRINDER_BREW_INIT        (GRINDER_PREFIX GRINDER_BREW_INIT_TAG)
#define GRINDER_BREW_RESUME      (GRINDER_PREFIX GRINDER_BREW_RESUME_TAG"=%lu")
#define GRINDER_BREW_EXIT        (GRINDER_PREFIX GRINDER_BREW_EXIT_TAG)

#define GRINDER_VOICE_CALL       (GRINDER_PREFIX GRINDER_VOICE_CALL_TAG "=%s")
#define GRINDER_DATA_CALL        (GRINDER_PREFIX GRINDER_DATA_CALL_TAG)
#define GRINDER_EXCEPTION        (GRINDER_PREFIX GRINDER_EXCEPTION_TAG "=%d")

#endif
