#ifndef OEMFEATURES_H
#define OEMFEATURES_H
/*======================================================
FILE:  OEMFeatures.h

SERVICES:  AEE Features

GENERAL DESCRIPTION:
   Temporary file.  Compiler options for AEE

        Copyright ?1999-2002 QUALCOMM Incorporated.
               All Rights Reserved.
            QUALCOMM Proprietary/GTDR
=====================================================*/
/******************************************************************************
//  [PTX-804C]
//	Version	UIQ/TRK	OutLine
//	   0.05			PTX-804 EMUI-20050303001 NJK R@q
//						UIMΉ(FEATURE_UIM𖳌ɂ)
//	   0.05	UIQ191	PTX-804 BREW-20050308001 NJK q G
//						q[v̈3Mɂ(b)
//	   0.05			PTX-804 FeliCa-20050309001 NJK q G
//						FeliCaΉ
//	   0.05			PTX-804 ICard-20050309002 NJK q G
//						ICardΉ
//	   0.06			PTX-804 BREW-20050314001 NJK R{ a
//						SMSΉiFEATURE_BREW_SMSLj
//	   0.07	UIQ191	PTX-804 BREW-20050315001 NJK q G
//						q[v̈3Mɂ(Ή)
//	   0.09	TRK15	PTX-804 BREW-20050404003 NJK q G
//						IIrObex̒ǉ
//	   0.09	TRK35	PTX-804 BREW-20050404004 NJK q G
//						FEATURE_BREW_SSLROOTCERTS̒ǉ
//	   0.10 UIQ557	PTX-804 BREW-20050411001 NJK R q
//						FEATURE_IDATAFOLDER̒ǉ
//	   0.12 UIQ728	PTX-804 BREW-20050420001 NJK q G
//						IFMTUNERύXv]Ή
// 00.51.00 TRK3013 PTX-804 BREW101-804TRK3013F20050627001 NJK R{ a
//                      FEATURE_BREW_SSLL
//
//  [PTX-805C]
//	Version	UIQ/TRK	OutLine
//	   00.04.00	UIQ10	PTX-805 BREW201-20050819001 NJK  p
//						UIMΉ(FEATURE_IPTMLɂ)
//	   00.06.00	UIQ44	PTX-805 BREW202-20050901001 NJK  X
//						UIQ44ύXv]Ή
//	   00.08.00	UIQ247	PTX-805 BREW203-20050909001 NJK  p
//						UIQ247ύXv]Ή
//	   00.10.00			PTX-805 BREW204-20050921001 NJK ԓc M
//						No.60072`60079 IKDDIAPPSTATE C^[tF[Xǉ
//	   00.15.00	UIQ484	PTX-805 BREW205-20050929001 NJK  
//				IKDDIFUNC C^[tF[Xǉ
//	   00.30.00	UIQ615	PTX-805 BREW206-20050929001 NJK  p
//					IPTMǉSIMŃRpCłȂSIMPTMǉȂ
//     00.43.00 TRK1206	PTX-805 BREW207-20051031001 NJK  p
//						J_System_BREW  ύXv]Ή
//     00.43.00 TRK1285 PTX-805 BREW208-20051101001 NJK q G
//						PCSVΉ
//
//  [PTX-808C]
//	Version	UIQ/TRK	OutLine
//	   00.12.00	TRK56	PTX-808 BREW301-20060119 NJK  
//						IKDDIADDRBOOK/IKDDIADDRREC,IKDDICALENDARǉΉ
//	   00.15.00	TRK303	PTX-808 BREW302 20060213 NJK  
//						FeliCa폜(ύXv])Ή
//	   00.16.00	TRK369	PTX-808 BREW304 20060216 NJK  
//						IBATTRYΉ
//  [PTX-812C]
//	Version	UIQ/TRK	OutLine
//						PTX812 UIQ39 Heap̈gΉ
******************************************************************************/

#if defined AEE_SIMULATOR
#include "BREWSimFeatures.h"  // Simulator Feature Definitions
#else
#if defined(CUST_H) || defined(CUSTFILE) || defined(CUSTH)
#include "customer.h"         //Handset Feature Definitions
#endif
#endif

//[PTX812_KCPCORE_NEU] CuiXinyu Add-S- 2006/04/04 ForUIQ652
#define FEATURE_IKDDIHELPER
//[PTX812_KCPCORE_NEU] CuiXinyu Add-E- 

// PTX804-NJK BREW3.1_Porting [S]
#include "BrewFeatures.h"
#define FEATURE_PTX633
#define FEATURE_PTX802
#define FEATURE_PTX804

#ifndef WIN32
#include "OEMMediaFeatures.h"
#endif //WIN32

// PTX633 Brew 3.0 Porting @ł݂̂̒`
#if defined(FEATURE_PTX633) && !defined(WIN32)
#define FEATURE_UI_CORE
// Brew3.1 Porting for PTX802 on 20040927, UIM폜 #define FEATURE_UIM
#define FEATURE_BREW_3_0
#endif // defined(FEATURE_PTX633) && !defined(WIN32)

//
// The following defines are used to selectively compile the OEM_XXXX.c
// routines.  If these flags are DEFINED, then we will compile the OEM_XXXX.c
// versions provided as samples.
//

#if !defined(OEMDB)
   #define OEMDB               // Use OEMDB.c
#endif

// PTX804-NJK BREW3.1_Porting [S]
#if !defined(OEMAPPFUNCS)
   #define OEMAPPFUNCS         // Use OEMAppFuncs.c
#endif //

#if !defined(OEMSTRINGFUNCS)
   #define OEMSTRINGFUNCS      // Use OEMStringFuncs.c
#endif

#if !defined(OEMHEAP)
   #define OEMHEAP             // Use OEMHeap.c
#endif

#if !defined(OEMDISP)
   #define OEMDISP             // Use OEMDisp.c
#endif

#if !defined(OEMTEXT)
   #define OEMTEXT             // Use OEMText.c
#endif

#if !defined(OEMSMS)
   #define OEMSMS              // Use OEMSMS.c
#endif

#if !defined(OEMPRIVACY)
   #define OEMPRIVACY            // Use OEMPrivacy.c
#endif

#if !defined(OEMRINGERS)
//   #define OEMRINGERS            // Use OEMRingers.c
#endif

#if !defined(OEMPROVISION)
   //#define OEMPROVISION          // Use OEMProvision.c
#endif

#if !defined(FEATURE_CALLHISTORY)
   #define FEATURE_CALLHISTORY   // Use OEMCallHistory.c
#endif

#if !defined(OEMMODTABLE)
	#define OEMMODTABLE           // Use OEMModTable.c
#endif
// PTX804-NJK BREW3.1_Porting [E]

// ZiCorp Simplified Chinese Stroke mode
//#define FEATURE_ZICORP_STROKE // Use OEMIMM.c and OEMIMUI.c
// ZiCorp Simplified Chinese Pinyin mode
//#define FEATURE_ZICORP_PINYIN // Use OEMIMM.c and OEMIMUI.c

// These enable the default language to be specified in
// the text control when AEE_TM_EZTEXT is given
// This is not the full integration of the specified language
// To do that a new mode would need to be added for the multitap
// in that language.
// Optionally you would support the AEE_TM_*_R mode to let the user
// specify the language rapid mode needed.
//#define FEATURE_ZICORP_EZI_EN // Enables eZi English
//#define FEATURE_ZICORP_EZI_TH // Enables eZi Thai
//#define FEATURE_ZICORP_EZI_IT // Enables eZi Italian
//#define FEATURE_ZICORP_EZI_FR // Enables eZi French
//#define FEATURE_ZICORP_EZI_BP // Enables eZi Brasilian Portuguese
//#define FEATURE_ZICORP_EZI_PR // Enables eZi Portuguese
//#define FEATURE_ZICORP_EZI_ES // Enables eZi Spanish

// No need to modify this block, it depends on the features above
#if defined(FEATURE_ZICORP_EZI_EN) || defined(FEATURE_ZICORP_EZI_TH) \
    || defined(FEATURE_ZICORP_EZI_IT) || defined(FEATURE_ZICORP_EZI_FR) \
    || defined(FEATURE_ZICORP_EZI_BP) || defined(FEATURE_ZICORP_EZI_PR) \
    || defined(FEATURE_ZICORP_EZI_ES)
#define FEATURE_ZICORP_EZITEXT // ZiCorp eZiText needed
#endif

// No need to modify this block, it depends on the features above
#if defined(FEATURE_ZICORP_STROKE) || defined(FEATURE_ZICORP_PINYIN) // {
#define FEATURE_ZICORP_CHINESE   // A ZiCorp Chinese method is selected
#ifndef FEATURE_BREW_IME // {
#define FEATURE_BREW_IME         // IME support for Chinese mode
#endif // } !FEATURE_BREW_IME
#endif // } FEATURE_ZICORP_STROKE || FEATURE_ZICORP_PINYIN

// PTX804-NJK BREW3.1_Porting [S]
#define OEMAPPFUNCS 		  // Use OEMAppFuncs.c
#define OEMSTRINGFUNCS		  // Use OEMStringFuncs.c
#define OEMHEAP 			  // Use OEMHeap.c
#define OEMDISP 			  // Use OEMDisp.c
#define OEMTEXT 			  // Use OEMText.c
//#define OEMSMS				  // Use OEMSMS.c
#define OEMPRIVACY			  // Use OEMPrivacy.c
#undef	OEMRINGERS			  // Use OEMRingers.c
#undef	OEMPROVISION		  // Use OEMProvision.c
#define OEMMODTABLE 		  // Use OEMModTable.c
#define FEATURE_OEMBRIDGE	  // Use the AEE->OEM Bridge layer
//#define FEATURE_IRUIM 	  // RUIM interface.
#undef	FEATURE_CALLHISTORY   // Use OEMCallHistory.c

#define FEATURE_JP_EDIT
#undef  THREE_KDDI_SOFTKEY
#define USE_KDDI_SOFTKEY
#undef BUILD_TEXTCTL_AS_EXTENSION
// PTX804-NJK BREW3.1_Porting [E]
// You must include "ViewApp.c" in the build for this to be enabled.

//#define FEATURE_DEFAULT_VIEW_APP  // Use ViewApp.c as default view applet.

// PTX804-NJK BREW3.1_Porting [S]
//#define OEM_STATIC_HEAP_SIZE    ((1024*1024*2) + (1024*512))
//#define OEM_STATIC_HEAP_SIZE    (1024*1024*3)
// PTX 812 Modify For UIQ 39[S]
//#define OEM_STATIC_HEAP_SIZE    (1024*1024*4)
//[PTX812_KCPCORE_NEU] CuiXinyu Modified [S] 2006/03/27 For UIQ558
//#define OEM_STATIC_HEAP_SIZE    (1024*1024*10)
#define OEM_STATIC_HEAP_SIZE    (1024*1024*12)
//[PTX812_KCPCORE_NEU] CuiXinyu Modified [E] 
// PTX 812 Modify For UIQ 39[E]
// PTX804-NJK BREW3.1_Porting [E]

// Use the largest heap possible
#define FEATURE_DYNAMIC_OEM_HEAP

#if defined(OEMHEAP) && !defined(OEM_STATIC_HEAP_SIZE) && !defined(AEE_SIMULATOR)
#define OEM_STATIC_HEAP_SIZE  81920  /* 80K */
#endif

//
// Linked AEE Libraries...
//

#define AEEBTIL_LIB     1
#define AEEMENU_LIB     1
#define AEECONTROLS_LIB 1
#define AEEDB_LIB       1

//
// Feature Libraries
//
#if defined (FEATURE_XML)
   #define AEEXML_LIB      1
#endif

// PTX804-NJK BREW3.1_Porting [S]
//#if defined(FEATURE_CM)
#if defined(FEATURE_CM) || defined(WIN32)
// PTX804-NJK BREW3.1_Porting [E]
  #define FEATURE_BREW_TAPI 1
#endif

#if defined(FEATURE_DS_SOCKETS)
   #define AEENET_LIB      1
#endif

#if defined(FEATURE_AUDIO_FORMAT) || defined(FEATURE_VOICE_MEMO)
   #define FEATURE_SOUNDPLAYER  1
#endif

#define FEATURE_BTIL       1

#define FEATURE_BREW_SOUND 1

#define FEATURE_GRAPHICS   1


// PTX804-NJK BREW3.1_Porting [S]
#define FEATURE_GPSONE
#define FEATURE_GPSONE_PE
// PTX804-NJK BREW3.1_Porting [E]


//#if defined(FEATURE_BREW_MULTIMEDIA)
#if defined(FEATURE_BREW_MULTIMEDIA) || defined(FEATURE_GPSONE)
#define OEMOBJECTMGR
#endif // defined(FEATURE_BREW_MULTIMEDIA)

#define FEATURE_HTMLVIEWER

#define FEATURE_POSITION_DETERMINATION

#define FEATURE_BREW_FONTS

#define FEATURE_BREW_APPFRAME

#define FEATURE_BREW_BITMAPDEV

#ifdef FEATURE_VOC_PACKET_INTERFACE
#define FEATURE_IVOCODER
#endif

#ifdef FEATURE_MVS
#define VOCODER_USES_MVS
#endif

#define FEATURE_BREW_SECURITY       // turn on hashes, ciphers and random numbers
#define FEATURE_BREW_RSA            // Turn on RSA; needed for sig verify, SSL & IX509Chain
#if defined(FEATURE_BREW_SECURITY)
//   #define FEATURE_BREW_DES3DES     // define this to turn on DES and 3DES in BREW
// PTX804-NJK BREW3.1_Porting [S]
// [PTX633] PTX633ɃJX^}CY. [S]
   #define FEATURE_BREW_DES3DES 	// define this to turn on DES and 3DES in BREW
   #define FEATURE_BREW_BN			// define this to expose IBN in BREW
// [PTX633] PTX633ɃJX^}CY. [E]
// PTX804-NJK BREW3.1_Porting [E]
#endif

// PTX804-NJK BREW3.1_Porting [S]
#define FEATURE_BREW_SSL            // turn on BREW SSL											/*** PTX-804 BREW101 ***/
#define FEATURE_BREW_SSLROOTCERTS   // turn on BREW SSL Root Certificates
// PTX804-NJK BREW3.1_Porting [E]

#define FEATURE_BREW_ROOTCERTS // Turn on WebOpts based access to root certs

#define FEATURE_BREW_RAMCACHE
#define FEATURE_BREW_SPRITE

#define  FEATURE_LOGGER_FILE
// PTX804-NJK BREW3.1_Porting [S]
//#define  FEATURE_LOGGER_WIN
// PTX804-NJK BREW3.1_Porting [E]
#ifdef FEATURE_BREW_SIO
#define  FEATURE_LOGGER_SERIAL
#endif
#define  FEATURE_LOGGER_BTIL
#if defined(FEATURE_LOGGER_FILE) || defined(FEATURE_LOGGER_SERIAL) || defined(FEATURE_LOGGER_DMSS) || defined(FEATURE_LOGGER_WIN) || defined(FEATURE_LOGGER_BTIL)
#define  FEATURE_LOGGER
#endif
// PTX804-NJK BREW3.1_Porting [S]
#undef	FEATURE_CALLHISTORY
// PTX804-NJK BREW3.1_Porting [E]

#define FEATURE_BREW_KEYMAKER

// Enable Top Visible Application Priorities
#define FEATURE_TOPVISIBLE

#if defined FEATURE_UIM
//#define FEATURE_IRUIM
//#define FEATURE_ADDRBOOK_RUIM
#endif

//Enable the following definition to include GSM1x support.
//#define FEATURE_GSM1x

// PTX804-NJK BREW3.1_Porting [S]
#define FEATURE_BREW_SMS 1
// PTX804-NJK BREW3.1_Porting [E]

#define FEATURE_BREW_RESCTL

#define FEATURE_BREW_SCALE       // turn on image scaling in BREW viewers

// PTX804-NJK BREW3.1_Porting [S]
//#define FEATURE_DEV_NOTIFIER
//#define FEATURE_BREW_NETMTPDNOTIFIER
// PTX804-NJK BREW3.1_Porting [E]


// PTX804-NJK BREW3.1_Porting [S]
// [BMPDEV] BitmapDev Interface ̎ [S]
/* Enable IBitmap2 stuff */
#define FEATURE_BREW_BITMAPDEV
// [BMPDEV] BitmapDev Interface ̎ [E]

#define  FEATURE_IFILECP
#define  FEATURE_APP_MANAGER		  // App Manager
#define  FEATURE_BCI_DECODE 		  // BCI Viewer
// [PNGZIP] PNG decoder, Unzip module̎ [S]
#define  FEATURE_BREW_PNG_DECODE	  // PNG Viewer
#if !defined(WIN32)
//#define  FEATURE_BREW_PNG_DECODE		// PNG Viewer
#define  FEATURE_UNZIP				  // Unzip Stream
#endif //  !(WIN32)
// [PNGZIP] PNG decoder, Unzip module̎ [E]
#undef	 FEATURE_GIF_DECODE 		  // GIF Viewer
#define  FEATURE_BREW_CMX_V3		  // CMX
#define  FEATURE_BREW_COMPLETE_SYSPARAMS
#if defined(FEATURE_BREW_CAMERA)
#define  FEATURE_BREWAPI_SPECIFIC	  // CAMERA
#endif //  (FEATURE_BREW_CAMERA)
#define  FEATURE_BREW_NEW_POS_QOS
// [IRRMCM] IR Remote Controller̎ [S]
#define  FEATURE_IRREMOCON			  // Ir Remote Controller
// [IRRMCM] IR Remote Controller̎ [E]
// [DAGFLT] Diag Filter interface  enable ɂB[S]
#if !defined(WIN32)
#define FEATURE_DIAGFILTER
#endif /* !defined(WIN32) */
// [DAGFLT] Diag Filter interface  enable ɂB[E]

// [FeliCa]
//#if !defined(WIN32)						/*** PTX808 BREW302 ***/
//#define FEATURE_FELICADEV					/*** PTX808 BREW302 ***/
//#define FEATURE_STATICFELICA				/*** PTX808 BREW302 ***/
//#endif  /* if !defined(WIN32) */			/*** PTX808 BREW302 ***/
// [FeliCa]
// PTX804-NJK BREW3.1_Porting [E]

#define FEATURE_BREW_QOS

// PTX804 20050125 NJK  p
#define FEATURE_OEMSVC
// PTX804 20050125 NJK  p

// [PTX-804 ICard-20050309002] [S]
#define FEATURE_ENABLE_ICARDCONNECTION_FILTER
// [PTX-804 ICard-20050309002] [E]

#if !defined(WIN32)
#define  FEATURE_IRDA
#endif

//  PTX-804 BREW-20050411001 NJK R q
#define FEATURE_IDATAFOLDER
//  PTX-804 BREW-20050411001 NJK R q

// [PTX-804 BREW-20050420001][S]
#define FEATUER_IFMTUNER
// [PTX-804 BREW-20050420001][E]
// PTX-804 EMUI-20050819001 NJK  p
//PTX-805 BREW-20050929001 NJK  p
#ifndef WIN32
#define  FEATURE_IPTM
#endif
//PTX-805 BREW-20050929001 NJK  p
// PTX-804 EMUI-20050819001 NJK  p
//  PTX-805 BREW-20050901001 NJK  X
#define FEATUER_IMPCTL
//  PTX-805 BREW-20050901001 NJK  X

//PTX-805 BREW-20050909001 NJK  p
#define FEATUER_IMP
//PTX-805 BREW-20050909001 NJK  p

//PTX-805 BREW-20050921001 NJK ԓc M
#define FEATUER_IKDDIAPPSTATE
//PTX-805 BREW-20050921001 NJK ԓc M

//PTX-805 BREW-20050929001 NJK  
#define FEATURE_IKDDIMFUNC
//PTX-805 BREW-20050929001 NJK  

#define FEATURE_IKDDIADDRBOOK						/*** PTX-808 BREW301 ***/
#define FEATURE_IKDDICALENDAR						/*** PTX-808 BREW301 ***/

//PTX-805 BREW-20051031001 NJK  p
/*::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/
// OEMSIOp 05/10/03 tsuda
#ifndef WIN32
#define FEATURE_BREW_SIO
#endif
/*::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/
//PTX-805 BREW-20051031001 NJK  p

#define FEATURE_PCSV							/*** PTX-805 BREW208 ***/

#define FEATURE_BREW_BATTERY					/*** PTX-808 BREW304 ***/

#endif   // OEMFEATURES_H
