#ifndef __OEMPKILIB_H__
#define __OEMPKILIB_H__

#include "AEE.h"
#include "AEEShell.h"
#include "AEERSA.h"
#include "AEEAppGen.h"

#ifndef PKICONTROL

#include "wim.h"
#include "x509.h"
#endif

#include "OEMWIMPrompt.h"


#define CLIENTCERTS_MAX (4) // NCAgؖ̍ő吔.

/* HandshakeDigitalSign()̌ʂƂĊ҂钷
   128ł鍪́AgCAł̃\[XR[hŎgpĂlƁA
   ̔閧gꍇRSA_size()̖߂lƂ128ł */
#define WIM_RSA_SIZE (128)

/* WIM^XNkickCaller()ĂяoƂɈɎw肷l */
#define NON_UiTask (0)

enum BrewPKIKind {
	BREWCLIANTAUTH  = 1,
	BREWDIGITALSIGN = 2,
};

enum WimLibWrapperRc {
	WIMLIBWP_FAILED    =-1, // s.
	WIMLIBWP_WAITFORCB = 0, // ʑ҂.
	WIMLIBWP_SUCCESS   = 1  // .
};

#define l2n3(l,c)	((c[0]=(unsigned char)(((l)>>16)&0xff), \
			  c[1]=(unsigned char)(((l)>> 8)&0xff), \
			  c[2]=(unsigned char)(((l)    )&0xff)),c+=3)


#define INVALID_CERT_SELECTION -1

typedef struct _WIMParam{
	// UINp[^
	unsigned int UIParam;				// 2=  1=NCAgF

	// I[vWIM`lԍ
	WIM_TChannelNumber channelNo;				//`lԍi[

	// NCAgFؑIUIőIꂽԍ(LZ̏ꍇ-1)
	int selectedCert;

	WIM_TRootCertificate* rootCerts;
	//[g̖ؖ
	unsigned int numRootCerts;

	// [gؖNCAgؖ擾(WIM_SearchClientCertsByKeyIDWithRootCerts)
	WIM_TClientCertificateInfo clientCerts[CLIENTCERTS_MAX];

	// NCAgؖ
	unsigned int numClientCerts;

	// Ώۃf[^
	unsigned char *targetdata;
	// Ώۃf[^
	unsigned long targetlength;
} WIMParam;






typedef struct{
	struct {
		IWebOpts       *clientCert;			// prompt
		const IWebOpts *m_pIWebOpts;		// prompt
		const byte     *pDNList;			// prompt
		AEECallback    *pUserCb;			// prompt RSA
		int            *pnErr;				// prompt RSA

		int            ePadType;			// RSA
		const byte     *inBuf;				// RSA
		int            inLen;				// RSA
		byte           *outBuf;				// RSA
		int            *outLen;				// RSA
	} param;

	struct { // HandshakeDigitalSign()p\.
		WIM_TInputData            hash;
		// ssl3_send_client_verify()@s3_clnt.ćAdataƓ傫
//		char                      inbuf[MD5_DIGEST_LENGTH+SHA_DIGEST_LENGTH];
		char                      inbuf[16+20];
		WIM_TOutputDataResult     out;
		char                      outbuf[WIM_RSA_SIZE];
	} sign;
	
	struct { 
		 WIM_TClientCertificateInfo list[CLIENTCERTS_MAX];
		 int                        num;
		 int                        selected;
	} client;

	

	AEECallback						execCb;
	WIM_TRequestID					*lastRequestID;
	WIM_TChannelNumberResult		ch;
	WIM_TResult						res;
	WIM_TSENumber					protocolVersion;
	boolean							promptEnd;

//////////////////////////////////////////////////////////////////////////////////
	int NativeFlag;								// NativeAgtO
	int CancelCallbackFlag;						// AEE_CALLBACKsȂ

	//LbV擾ؖi[
	WIM_TCertificate certificate;

	// UIőIꂽؖݒ肳
	WIM_TClientCertificateInfo info;			//Iؖi[

	//[g̖ؖ
	unsigned int numRootCerts;

	/// IWeb ̃[gؖMALLOCĕۑ
	WIM_TRootCertificate* Alloc_rootCerts;

	// WimDigitalSignCu
	WIMParam WIMprm;
	
	unsigned char *certs; 
	
	int *pnErr;
	int currentDepth;
	
	WIM_TCertificateReference  issureRef[CLIENTCERTS_MAX+1];

	WIM_TCertificate cert;


} OEMPKILIB_PRM;



#define INVALID_CHNUM (0)

void OEMPKILIB_getInstance(void);
void OEMPKILIB_Releasee(void);

void OEMPKILIB_WIM_encrypt2(
		const byte			*inBuf,			// IN  Íf[^̃obt@.
		int					inLen,			// IN  ̓obt@̒.
		byte				*outBuf,		// OUT Íꂽf[^i[obt@.
	               							//     R[Ŋ蓖Ă.
		int					*outLen,		// IO ͎:o̓obt@̒ o͎:f[^̒.
		int					ePadType,		// IN  gppfBÕ^Cv.
		uint32				*pdwResult,		// OUT ʃR[h.
		AEECallback			*pUserCb);		// IO  R[obN.

void OEMPKILIB_WIM_Prompt(
		const SSLSecurityInfo *pSecInfo,	// IN  SSLv3/TLSv1̔ʂɎgp.
		IWebOpts              *clientCert,	// OUT NCAgؖi[.
		const IWebOpts        *rootCerts,	// IN  [gؖo.
		const byte            *pDNList,		// IN  DNList擾.
		AEECallback           *pUserCb,		// IO  [UIICB.
		int                   *pnErr);		// OUT .

WIM_TRootCertificate* OEMPKILIB_extractRootCerts(IWebOpts* opts, unsigned int* numRootCerts);
//extern boolean ApiPkiCmpCurrentTime( X509 *x509 );

WIM_TReturnCode OEMPKILIB_PinCache(WIM_TChannelNumber channelNo);
WIM_TReturnCode OEMPKILIB_CertificateInfoCache(WIM_TChannelNumber channelNo);
WIM_TReturnCode OEMPKILIB_CertificateCertificateCache(WIM_TChannelNumber channelNo, WIM_TCertificateReference certRef);

#endif //__OEMPKILIB_H__
