#ifndef OEM_FELICA_H
#define OEM_FELICA_H

#include "AEE.h"
#include "AEEComdef.h"

typedef enum
{
   FELICA_URL_DIVIDE,  // 
   FELICA_URL_MEMCLR,  // NA
   FELICA_URL_UNLOCK,  // bN
   FELICA_URL_PORTAL   // FeliCa|[^
} FeliCaURLType;

// CxgFɂŒ`ĂOEMŒ`Ă炤KvL聙
#define			EVT_FSA_LAUNCH_OK			(EVT_USER + 1)			// 20050222 ADD
#define			EVT_FSA_LAUNCH_NG			(EVT_USER + 2)			// 20050222 ADD

/*
 *  OEM_FeliCaGetURL()
 *
 *  Description:
 *     ړ@NV̈ɕۑĂFeliCapURL擾֐
 *
 *  Prototype
 *     boolean OEM_FeliCaGetURL( FeliCaURLType t, char* url )
 *
 *  Parameters
 *     FeliCaURLType t: 擾FeliCa SSFURL̎
 *     char* url      : URLi[pobt@
 *
 *  Return Value
 *     char* url : 擾URL(f~^܂)
 *     TRUE : 擾
 *     FALSE: 擾s
 *
 *  Comments
 *     None
 *
 *  See Also
 *     None
 */

boolean OEM_FeliCaGetURL( FeliCaURLType t, char* url );

/*
 *  OEM_UpDateHotkeyIsFeliCaApplet()
 *
 *  Description:
 *               ꔭNɐݒ肳ĂAppFeliCaAvǂ
 *               ʂFlagݒ肷B(Ȃ)
 *  Prototype
 *     boolean OEM_UpDateHotkeyIsFeliCaApplet( void )
 *
 *  Parameters None
 *
 *  Return Value
 *     TRUE : ݒ萬
 *     FALSE: ݒ莸siG[j
 *
 *  Comments
 *     None
 *
 *  See Also
 *     None
 */

extern boolean OEM_UpDateHotkeyIsFeliCaApplet( void );

/*
 *  OEM_GetHotkeyIsFeliCaApplet()
 *
 *  Description:
 *               ꔭNɐݒ肳ĂAppFeliCaAvǂ
 *               ʂFlagݒ肷B
 *  Prototype
 *     boolean OEM_GetHotkeyIsFeliCaApplet(int kind)
 *
 *  Parameters
 *      int kind       : ݒ肷ꔭN̎ށiAvKeyFeliCaKeyj
 *                       HOTKEY_ISAPPKEY or HOTKEY_ISFELICAKEY
 *  Return Value
 *     ꔭNɐݒ肳ĂAvFeliCaAvǂԂB
 *     TRUE : FeliCaAv
 *     FALSE: FelCaAvȊO܂͖ݒ莞
 *
 *  Comments
 *     None
 *
 *  See Also
 *     None
 */
extern boolean OEM_GetHotkeyIsFeliCaApplet(int kind);

/*
 *  OEM_FeliCa_AppIsInGroup()
 *
 *  Description:
 *     FeliCaAvǂ𔻒肷邽߂AppIsInGroup()Wrapper
 *
 *  Prototype
 *     int OEM_FeliCa_AppIsInGroup(IShell *ps, AEECLSID idApp)
 *
 *  Parameters
 *     IShell *ps     : Shell̃|C^
 *     AEECLSID idApp : FeliCaAvrCLSID
 *
 *  Return Value
 *     SUCCESS : FeliCaAvł
 *     others  : FeliCaAvł͂Ȃ
 *
 *  Comments
 *     DependencyAEECLSID_KDDI_APPLET_FELICA܂܂̂̂
 *     FeliCaAvƔ肳
 *     Ԃl ISHELL_AppIsInGroup()ɍ킹
 *
 *  See Also
 *     None
 */

//int OEM_FeliCa_AppIsInGroup(IShell *ps, AEECLSID idApp);
extern int OEM_FeliCa_AppIsInGroup(IShell *ps, AEECLSID idApp);


extern void OEM_FeliCa_SetResetOperation(unsigned char val);

extern boolean OEM_FeliCa_CheckResetOperation( void );

/*
 *  OEM_FeliCa_AppDeleteStart()
 *
 *  Description:
 *     Av폜JnFeliCaICɃANZX\ɂ鏈
 *
 *  Prototype
 *     void OEM_FeliCa_AppDeleteStart(void)
 *
 *  Parameters
 *     Ȃ
 *
 *  Return Value
 *     Ȃ
 *
 *  Comments
 *     FeliCaICdOFF̂ON
 *
 *  See Also
 *     None
 */

extern void OEM_FeliCa_AppDeleteStart(void);

/*
 *  OEM_FeliCa_AppDeleteEnd()
 *
 *  Description:
 *     Av폜IFeliCaICɓdĐݒ肷鏈
 *
 *  Prototype
 *     void OEM_FeliCa_AppDeleteEnd(void)
 *
 *  Parameters
 *     Ȃ
 *
 *  Return Value
 *     Ȃ
 *
 *  Comments
 *     Ȃ
 *
 *  See Also
 *     None
 */

extern void OEM_FeliCa_AppDeleteEnd(void);


#endif // OEM_FELICA_H
