/*******************************************************************************
*                              Openwave Systems.                               *
*                            Device Products Group                             *
*                          Redwood City,  CALIFORNIA                           *
********************************************************************************
   DESCRIPTION:
   This purpose of this module has not been documented.  Until someone updates
   this comment, you'll have to figure it out for yourself.


   REVISION HISTORY:
   Date:       Who:               Email:
      - Details:
--------------------------------------------------------------------------------
   20 Sep 2004 Richard Willis     richard.willis@openwave.com
      - Initial version

*******************************************************************************/
/*******************************************************************************
*                  Copyright (c) Openwave Systems 1995-2004                    *
*                            All rights reserved.                              *
*                                                                              *
*     THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Openwave Systems Inc.     *
*               The copyright notice above does not evidence any               *
*              actual or intended publication of such source code.             *
*******************************************************************************/

/*==============================================================================

	DUMMY DEFINES

==============================================================================*/
#ifndef FUNCTION
   #define FUNCTION( RETURNS, NAME )
#endif

#ifndef NO_PARAM
   #define NO_PARAM
#endif

#ifndef FIRST_PARAM
   #define FIRST_PARAM( TYPE, NAME )
#endif

#ifndef NEXT_PARAM
   #define NEXT_PARAM( TYPE, NAME )
#endif

#ifndef END_FUNCTION
   #define END_FUNCTION
#endif


/*==============================================================================

	EXPORTED FUNCTIONS

==============================================================================*/
//------------------------------------------------------------------------------
//--- This function must be first
//------------------------------------------------------------------------------
FUNCTION( uint32, lwAddRefPub )
FIRST_PARAM( IOMBV6 *, psMe )
END_FUNCTION

//------------------------------------------------------------------------------
//--- This function must be second
//------------------------------------------------------------------------------
FUNCTION( uint32, lwReleasePub )
FIRST_PARAM( IOMBV6 *, psMe )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( void, vHTTPREQ_RegisterCallbacks )
FIRST_PARAM( IOMBV6 *, psMe )
NEXT_PARAM( tpfoStartNotify, pfoStartNotify )
NEXT_PARAM( tpfoDataNotify, pfoDataNotify )
NEXT_PARAM( tpfvEndNotify, pfvEndNotify )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( uint32, lwHTTPREQ_RequestStart )
FIRST_PARAM( IOMBV6 *, psMe )
NEXT_PARAM( const char *, kpczMethod )
NEXT_PARAM( const char *, kpczUrl )
NEXT_PARAM( const char *, kpczHeaders )
NEXT_PARAM( const uint8 *, kpbEntity )
NEXT_PARAM( int32, liEntitySize )
NEXT_PARAM( boolean, oStreaming )
NEXT_PARAM( uint32, lwUserHandle )
NEXT_PARAM( void *, pvUser )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( void, vHTTPREQ_RequestCancel )
FIRST_PARAM( IOMBV6 *, psMe )
NEXT_PARAM( uint32, lwHandle )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( void, vHTTPREQ_RequestCancelUser )
FIRST_PARAM( IOMBV6 *, psMe )
NEXT_PARAM( uint32, lwUserHandle )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( void, vCFG_InitStructure )
FIRST_PARAM( IOMBV6 *,           psMe )
NEXT_PARAM( tsIOMBV6_Config *,   psConfig )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( boolean, oCFG_ConfigInternalSettings )
FIRST_PARAM( IOMBV6 *,                 psMe )
NEXT_PARAM( const tsIOMBV6_Config *,   kpsConfig )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( boolean, oCFG_RestoreInternalDefaults )
FIRST_PARAM( IOMBV6 *, psMe )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( void, vCFG_ClearCache )
FIRST_PARAM( IOMBV6 *,           psMe )
NEXT_PARAM( teIOMBV6_CacheItem,  eItem )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( boolean, oSNAP_DeleteAllSnapshots )
FIRST_PARAM( IOMBV6 *, psMe )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( boolean, oMMC_GetObject )
FIRST_PARAM( IOMBV6 *,     psMe )
NEXT_PARAM( const char *,  kpczObjectName )
NEXT_PARAM( uint8 *,       pbBuffer )
NEXT_PARAM( uint32 *,      plwNofBytes )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( boolean, oMMC_SetObject )
FIRST_PARAM( IOMBV6 *,     psMe )
NEXT_PARAM( const char *,  kpczObjectName )
NEXT_PARAM( const uint8 *, kpbBuffer )
NEXT_PARAM( uint16,        wNofBytes )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( boolean, oPUBUTIL_IsHomeDomain )
FIRST_PARAM( IOMBV6 *,     psMe )
NEXT_PARAM( const char *,  kpczURL )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( uint16, wPUBUTIL_GetCurrentURL )
FIRST_PARAM( char *,       pczURL )
NEXT_PARAM( uint16,        wBufferSize )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( boolean, oPUBUTIL_GetRootCertInfo )
FIRST_PARAM( IOMBV6 *,               psMe )
NEXT_PARAM( int,                     lwIndex )
NEXT_PARAM( tsIOMBV6_RootCertInfo *, psRootCertInfo )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( boolean, oCFG_ConfigInetInfoSettings )
FIRST_PARAM( IOMBV6 *,                 psMe )
NEXT_PARAM( tsIOMBV6_InetInfo *,   psInetInfo )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( boolean, oCFG_ClearPersistentMemory )
FIRST_PARAM( IOMBV6 *,                 psMe )
END_FUNCTION

//------------------------------------------------------------------------------
FUNCTION( void, vPUBUTIL_AddTestRootCert )
FIRST_PARAM( IOMBV6 *,     psMe )
NEXT_PARAM( const uint8 *,  kpbTestRootCert )
END_FUNCTION


/*==============================================================================

	UNDEFINES
	Allows this macro file to be included multiple times

==============================================================================*/
#undef FUNCTION
#undef NO_PARAM
#undef FIRST_PARAM
#undef NEXT_PARAM
#undef END_FUNCTION

