#========================================================================= 
#          Copyright  2001-2004 QUALCOMM Incorporated.
#                     All Rights Reserved.
#========================================================================= 

# A very simple Perl5 script for Grinder
#! /usr/local/bin/perl -w 

#Please keep these two lines in all the sample scripts that you are writing for this version of Grinder
use GrinderPl;
use enum qw( AVK_ASTERISK=1000 AVK_NUMBER_SIGN AVK_SELECT AVK_UP AVK_DOWN AVK_LEFT AVK_RIGHT AVK_SEND AVK_CLR AVK_END);
################################################################################################

################################################################################################
#
# Sample perl application to illustrate Grinder on the Emulator
#
#	1) It initializes the perl module.
#	2) Loads the default settings.
#	3) Starts the Grinder on the Emulator.
#	4) The Grinder can be made to start on the Phone by changing the argument to the 
#	   StartGrinder function.
#	5) Later, it releases the perl module.
#
################################################################################################

#Initialize the perl module. This should be the first function to be called.
GrinderPl::InitPerlModule();

#Load the default settings. 
GrinderPl::LoadSettings(0);

#Run Grinder on the emulator
GrinderPl::StartGrinder("Emulator");

#Release the perl module. This should be called after using GrinderPl.
GrinderPl::ReleasePerlModule();

