/*===========================================================================
                    IMPORTANT NOTICE

                  OEM DISTRIBUTION ONLY

FILE:  bridle_loggerdmss.h

SERVICES:  BRIDLE LoggerDMSS System calls. 

GENERAL DESCRIPTION:
	Definitions, typedefs, etc. for bridle of AEEFile.c

        Copyright  2003 QUALCOMM Incorporated.
               All Rights Reserved.
            QUALCOMM Proprietary/GTDR
===========================================================================*/
#ifndef _BRIDLE_LOGGERDMSS_H_
#define _BRIDLE_LOGGERDMSS_H_

#include "log.h"
#include "AEE.h"
#include "AEELoggerTypes.h"
#include "AEEBridle.h"

enum {
   BRIDLE_LOGGERDMSS_OEMLoggerDMSS_Commit,
   BRIDLE_LOGGERDMSS_COUNT
};

extern uint32 bridle_loggerdmss_swi;

#define LOGGER_BRIDLE4_RET( r, f, t1, v1, n1, t2, v2, n2, t3, v3, n3, t4, v4, n4 ) \
         BRIDLE4_RET( r, f, t1, v1, n1, t2, v2, n2, t3, v3, n3, t4, v4, n4, \
                      bridle_loggerdmss_swi, BRIDLE_LOGGERDMSS_##f )

extern uint32 OEMLoggerDMSS_Commit( uint32 hdrCode, AEELogRcdHdrType *pHeader, uint8 *pData, unsigned int length );
LOGGER_BRIDLE4_RET( uint32, OEMLoggerDMSS_Commit,
                    uint32, BRIDLE_CHECK_NONE, 0,
                    AEELogRcdHdrType *, BRIDLE_CHECK_READACCESS, sizeof(AEELogRcdHdrType),
                    uint8 *, BRIDLE_CHECK_READACCESS, UNPACKBRIDLE_PARAM_4,
                    unsigned int, BRIDLE_CHECK_NONE, 0 )
#define OEMLoggerDMSS_Commit packbridle_OEMLoggerDMSS_Commit
     
#endif // _BRIDLE_LOGGERDMSS_H_
