/*====*====*====*====*====*====*====*====*====*====*====*====*====*====*====*

                  B R I D L E   S T A C K   A L L O C A T I O N

GENERAL DESCRIPTION

EXTERNALIZED FUNCTIONS


INITIALIZATION AND SEQUENCING REQUIREMENTS
  All necessary initialization for normal CPU operation must have
  been performed before entering this module.

Copyright (c) 2003      by QUALCOMM Incorporated. All Rights Reserved.
*====*====*====*====*====*====*====*====*====*====*====*====*====*====*====*/


/*===========================================================================

                     INCLUDE FILES FOR MODULE

===========================================================================*/
#include "AEEComdef.h"
#include "msm/bridle_stack.h"

/*----------------------------------------------------------------------------
  BRIDLE stack  used by BREW when in User mode
----------------------------------------------------------------------------*/
#if __ARMCC_VERSION >= 120000 // ADS 1.2
#pragma arm section rwdata = "bridle_user_stack"
#endif // __ARMCC_VERSION >= 120000 // ADS 1.2

byte usr_stack[Usr_Stack_Size] = {0xef, 0xbe, 0xad, 0xde};

#if __ARMCC_VERSION >= 120000 // ADS 1.2
#pragma arm section rwdata
#endif // __ARMCC_VERSION >= 120000 // ADS 1.2
