//******************************************************************************
// COPYRIGHT    : \j[
// DIVISION     :
// AUTHOR       : \j[
// FILENAME     : BrewAppLib.h
//
// @(s) CONTENT : BrewAppLib.h
// NOTE			: I
//
// FUNCTION     :
//
// VERSION      : $Revision:$
//
// HISTORY      : -------- Tv -----------------------------------------------
// [ PTX-804 ]
//	Version	UIQ/TRK	OutLine
//					PTX-804 BREW-20050401001 NJK  
//						͉\ő啶150010000ɕύX
//	   0.13			PTX-804 BREW-20050425001 NJK  p
//						\tgL[TΉ
//	   0.13			PTX-804 BREW-20050425002 NJK R q
//						e탌xݒ^擾ǉ
//	  0.131	TRK310	PTX-804 BREW-20050502001 NJK R q
//						BREWEBhE\̂SubLCDǉ
//	00.71.00TRK4750	PTX-804 BREW005-804TRK4750:20050719001 NJK  
//						\tgL[摜\ʒuC
//
//
// [ PTX-805 ]
//	Version	 UIQ/TRK	OutLine
// 00.60.00	TRK1597	PTX-805 BREW201 20051109001 NJK  p
//						QACΉ
//
//*****************************************************************************/

#if !defined (__BREWAPPLIB_H__)
#define __BREWAPPLIB_H__
//*********************************************************************/
//	Include Files
//*********************************************************************/
#if !defined M_APPREQUIF_H_DBL_DEF_ERROR
#include "AppTask.h"
#endif /* !defined M_APPREQUIF_H_DBL_DEF_ERROR */
#include "ApiLcd.h"
#include "LibSubLcdGraph.h"
#include "SubLcdAppInternal.h"
#include "AEE.h"
#include "AEEDisp.h"
#include "LevelEvent.h"
#include "BrewFeatures.h"
#include "AEEBitmap.h"
#include "BrewRpc.h"


//*********************************************************************/
//	Defines
//*********************************************************************/
#define BREW_SIM_TIMER			(1)				// SIM6xxp TIMER ID
#define BREW_POFF_TIMER			(2)				// I҂ʂ̕\I҂^C} ID
#define BREW_DEAD_TIMER			(3)				// I҂ʂBREWĎ^C} ID
#define BREW_TIME_WAIT_SEND		(10)			// BREW^XNĎ^C}(M҂:10b)
#define BREW_TIME_WAIT_RECV		(10)			// BREW^XNĎ^C}(҂:10b)

//**********************************************************************
//		VXeɊւݒ
//**********************************************************************
// vbgtH[ID
#define BREW_DFLT_PLATFORM_ID	(12001)						// vbgtH[ID(PTX633)
#define BREW_DFLT_LINGER_TIMER	(65535000)						// PTX633-TRK-4092:LingerTimer̃ftHgl


//**********************************************************************
//		ʕ\Ɋւݒ
//**********************************************************************
//* EBhẼ}bsO *****************************************
#define BREW_LCD_LEFT			LCD_USER_LEFT				// BREW[Ü捶wW
#define BREW_LCD_TOP			LCD_USER_TOP				// BREW[Ü捶xW
#define BREW_LCD_RIGHT			LCD_RIGHT					// BREW[ÜEwW
#define BREW_LCD_BOTTOM			LCD_BOTTOM					// BREW[ÜExW
#define BREW_LCD_DEPTH			GRAPH_16BIT_COLOR			// BREW[ÜDepth(5:6:5)
#define BREW_SOFTKEY_LEFT		LCD_SOFTKEY_LEFT			// BREW\tgL[̈wW
#define BREW_SOFTKEY_TOP		(LCD_HEIGHT-LCD_SOFTKEY_BREW_HEIGHT)				// BREW\tgL[̈xW
#define BREW_SOFTKEY_RIGHT		LCD_SOFTKEY_RIGHT			// BREW\tgL[̈wW
#define BREW_SOFTKEY_BOTTOM		LCD_SOFTKEY_BOTTOM			// BREW\tgL[̈xW
#define BREW_SCRLBAR_WIDTH		(6)							// XN[o[

//  PTX-804 BREW-20050502001 NJK R q
#define BREW_SUBLCD_LEFT		SUBLCD_LEFT					// BREWSubLCD̈捶wW
#define BREW_SUBLCD_TOP			SUBLCD_TOP					// BREWSubLCD̈捶xW
#define BREW_SUBLCD_RIGHT		SUBLCD_RIGHT				// BREWSubLCD̈EwW
#define BREW_SUBLCD_BOTTOM		SUBLCD_BOTTOM				// BREWSubLCD̈ExW
#define BREW_SUBLCD_MSGTOP		SUBLCD_MSG_TOP
//  PTX-804 BREW-20050502001 NJK R q


//* EBhETCY ***************************************************
#define BREW_LCD_WIDTH			(BREW_LCD_RIGHT  - BREW_LCD_LEFT + 1)	// BREW[Ü敝
#define BREW_LCD_HEIGHT			(BREW_LCD_BOTTOM - BREW_LCD_TOP  + 1)	// BREW[Ü捂
#define BREW_GRAPH_SIZE			(GRAPH_SIZE(BREW_LCD_DEPTH, BREW_LCD_WIDTH, BREW_LCD_HEIGHT))
#define BREW_SOFTKEY_WIDTH		(BREW_SOFTKEY_RIGHT  - BREW_SOFTKEY_LEFT + 1)
#define BREW_SOFTKEY_HEIGHT		(BREW_SOFTKEY_BOTTOM - BREW_SOFTKEY_TOP  + 1)
#define BREW_LCD_USER_WIDTH		(BREW_LCD_HEIGHT)
#define BREW_LCD_USER_HEIGHT	(BREW_LCD_HEIGHT - BREW_SOFTKEY_HEIGHT)

//  PTX-804 BREW-20050502001 NJK R q
#define BREWAPP_SUBLCD_WIDTH	(BREW_SUBLCD_RIGHT  - BREW_SUBLCD_LEFT + 1)	// BREWSubLCD̈敝
#define BREWAPP_SUBLCD_HEIGHT		(BREW_SUBLCD_BOTTOM - BREW_SUBLCD_TOP  + 1)	// BREWSubLCD̈捂

#define BREW_SUBLCD_USER_WIDTH	(BREWAPP_SUBLCD_WIDTH)
#define BREW_SUBLCD_USER_HEIGHT	(BREWAPP_SUBLCD_HEIGHT - BREW_SUBLCD_MSGTOP)
//  PTX-804 BREW-20050502001 NJK R q

#define BREW_TEXT_SCRL_DELAY	(200)						// eLXgXN[Jn҂(ms)

//* BREW peCXg ************************************************
#define BREW_MAX_TASTE_COUNT		LCD_TASTE_MAX						// eCXgő吔
#define BREW_TASTE_GET_NUMBER		(-1)					// eCXgԍ擾v

// \F MAKE_RGB(R, G, B) R:0`255/G:0`255/B:0`255
#define BREW_TASTE0_TEXTCOLOR		MAKE_RGB(  0,  0,  0)					// eCXgO
#define BREW_TASTE1_TEXTCOLOR		MAKE_RGB(255,255,255)					// eCXgP
#define BREW_TASTE2_TEXTCOLOR		MAKE_RGB(  0,  0,  0)					// eCXgQ

// wirbg}bvW
#define BREW_TASTE0_DEF_POS_BG		{  0, 0 + BREW_LCD_USER_HEIGHT}			// eCXgO
#define BREW_TASTE1_DEF_POS_BG		{  0, 0 + BREW_LCD_USER_HEIGHT}			// eCXgP
#define BREW_TASTE2_DEF_POS_BG		{  0, 0 + BREW_LCD_USER_HEIGHT}			// eCXgQ


// \tgL[eLXgW
#define BREW_TASTE0_DEF_POS_LDTEXT	{  1,19 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgO	/*** PTX-804 BREW005 ***/
#define BREW_TASTE1_DEF_POS_LDTEXT	{  1,19 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgP	/*** PTX-804 BREW005 ***/
#define BREW_TASTE2_DEF_POS_LDTEXT	{  1,19 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgQ	/*** PTX-804 BREW005 ***/

// \tgL[eLXgW
#define BREW_TASTE0_DEF_POS_CTEXT	{ 93,11 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgO	/*** PTX-804 BREW005 ***/
#define BREW_TASTE1_DEF_POS_CTEXT	{ 93,11 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgP	/*** PTX-804 BREW005 ***/
#define BREW_TASTE2_DEF_POS_CTEXT	{ 93,11 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgQ	/*** PTX-804 BREW005 ***/

// \tgL[EeLXgW
#define BREW_TASTE0_DEF_POS_RDTEXT	{183,19 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgO	/*** PTX-804 BREW005 ***/
#define BREW_TASTE1_DEF_POS_RDTEXT	{183,19 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgP	/*** PTX-804 BREW005 ***/
#define BREW_TASTE2_DEF_POS_RDTEXT	{183,19 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgQ	/*** PTX-804 BREW005 ***/

// \tgL[eLXgW
#define BREW_TASTE0_DEF_POS_LUTEXT	{  1, 2 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgO	/*** PTX-804 BREW005 ***/
#define BREW_TASTE1_DEF_POS_LUTEXT	{  1, 2 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgP	/*** PTX-804 BREW005 ***/
#define BREW_TASTE2_DEF_POS_LUTEXT	{  1, 2 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgQ	/*** PTX-804 BREW005 ***/

// \tgL[EeLXgW
#define BREW_TASTE0_DEF_POS_RUTEXT	{183, 2 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgO	/*** PTX-804 BREW005 ***/
#define BREW_TASTE1_DEF_POS_RUTEXT	{183, 2 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgP	/*** PTX-804 BREW005 ***/
#define BREW_TASTE2_DEF_POS_RUTEXT	{183, 2 + BREW_LCD_USER_HEIGHT, 56, 16}	// eCXgQ	/*** PTX-804 BREW005 ***/



// \tgL[rbg}bvW
#define BREW_TASTE0_DEF_POS_LDBMAP	{  0, 18 + BREW_LCD_USER_HEIGHT, 64, 36}	// eCXgO
#define BREW_TASTE1_DEF_POS_LDBMAP	{  0, 18 + BREW_LCD_USER_HEIGHT, 64, 36}	// eCXgP
#define BREW_TASTE2_DEF_POS_LDBMAP	{  0, 18 + BREW_LCD_USER_HEIGHT, 64, 36}	// eCXgQ

// \tgL[rbg}bvW
#define BREW_TASTE0_DEF_POS_CBMAP	{ 64,  0 + BREW_LCD_USER_HEIGHT, 112, 36}	// eCXgO
#define BREW_TASTE1_DEF_POS_CBMAP	{ 64,  0 + BREW_LCD_USER_HEIGHT, 112, 36}	// eCXgP
#define BREW_TASTE2_DEF_POS_CBMAP	{ 64,  0 + BREW_LCD_USER_HEIGHT, 112, 36}	// eCXgQ

// \tgL[Erbg}bvW
#define BREW_TASTE0_DEF_POS_RDBMAP	{176, 18 + BREW_LCD_USER_HEIGHT, 64, 36}	// eCXgO
#define BREW_TASTE1_DEF_POS_RDBMAP	{176, 18 + BREW_LCD_USER_HEIGHT, 64, 36}	// eCXgP
#define BREW_TASTE2_DEF_POS_RDBMAP	{176, 18 + BREW_LCD_USER_HEIGHT, 64, 36}	// eCXgQ

// \tgL[rbg}bvW
#define BREW_TASTE0_DEF_POS_LUBMAP	{  0, 0 + BREW_LCD_USER_HEIGHT, 64, 36}	// eCXgO
#define BREW_TASTE1_DEF_POS_LUBMAP	{  0, 0 + BREW_LCD_USER_HEIGHT, 64, 36}	// eCXgP
#define BREW_TASTE2_DEF_POS_LUBMAP	{  0, 0 + BREW_LCD_USER_HEIGHT, 64, 36}	// eCXgQ

// \tgL[Erbg}bvW
#define BREW_TASTE0_DEF_POS_RUBMAP	{176, 0 + BREW_LCD_USER_HEIGHT, 64, 36}	// eCXgO
#define BREW_TASTE1_DEF_POS_RUBMAP	{176, 0 + BREW_LCD_USER_HEIGHT, 64, 36}	// eCXgP
#define BREW_TASTE2_DEF_POS_RUBMAP	{176, 0 + BREW_LCD_USER_HEIGHT, 64, 36}	// eCXgQ







// \tgL[ACg
//	ݒĺAAEEDisp.h Q
#define BREW_TASTE0_ALIGIN_LUTEXT	(IDF_ALIGN_LEFT)						// \tgL[
#define BREW_TASTE0_ALIGIN_CTEXT	(IDF_ALIGN_CENTER)						// \tgL[
#define BREW_TASTE0_ALIGIN_RUTEXT	(IDF_ALIGN_RIGHT)						// \tgL[E
#define BREW_TASTE0_ALIGIN_LDTEXT	(IDF_ALIGN_LEFT)						// \tgL[
#define BREW_TASTE0_ALIGIN_RDTEXT	(IDF_ALIGN_RIGHT)						// \tgL[E

#define BREW_TASTE1_ALIGIN_LUTEXT	(IDF_ALIGN_LEFT)						// \tgL[
#define BREW_TASTE1_ALIGIN_CTEXT	(IDF_ALIGN_CENTER)						// \tgL[
#define BREW_TASTE1_ALIGIN_RUTEXT	(IDF_ALIGN_RIGHT)						// \tgL[E
#define BREW_TASTE1_ALIGIN_LDTEXT	(IDF_ALIGN_LEFT)						// \tgL[
#define BREW_TASTE1_ALIGIN_RDTEXT	(IDF_ALIGN_RIGHT)						// \tgL[E

#define BREW_TASTE2_ALIGIN_LUTEXT	(IDF_ALIGN_LEFT)						// \tgL[
#define BREW_TASTE2_ALIGIN_CTEXT	(IDF_ALIGN_CENTER)						// \tgL[
#define BREW_TASTE2_ALIGIN_RUTEXT	(IDF_ALIGN_RIGHT)						// \tgL[E
#define BREW_TASTE2_ALIGIN_LDTEXT	(IDF_ALIGN_LEFT)						// \tgL[
#define BREW_TASTE2_ALIGIN_RDTEXT	(IDF_ALIGN_RIGHT)						// \tgL[E


//**********************************************************************
//		tHgɊւݒ
//**********************************************************************
#define BREW_EFONT_FONTID		(FONT_12     | PICTFONT_E)		// ExtraSmall Font FontID PTX803 Add
#define BREW_SFONT_FONTID		(FONT_16     | PICTFONT_E)		// Small Font FontID
#define BREW_NFONT_FONTID		(FONT_20     | PICTFONT_E)		// Normal Font FontID
#define BREW_BFONT_FONTID		(FONT_20     | PICTFONT_E)		// Bold Font FontID (Normal size)
#define BREW_LFONT_FONTID		(FONT_24     | PICTFONT_E)		// Large Font FontID

//**********************************************************************
//		eLXg͂Ɋւݒ
//**********************************************************************
//PTX-804 BREW-20050401001 NJK  
//#define BREW_TEXT_MAXLEN		(1500)					// ő͕
#define BREW_TEXT_MAXLEN		(10000)					// ő͕
//PTX-804 BREW-20050401001 NJK  
#define BREW_TEXT_MAXSIZE		(8192)					// ő̓TCY

//**********************************************************************
//		̑̋L萔
//**********************************************************************
// tbv̏
enum {
	BREW_FLAP_OPEN,								// tbvI[v
	BREW_FLAP_CLOSE,							// tbvN[Y
};

// XCh̏
enum {
	BREW_SLIDE_CLOSE,							// XChN[Y
	BREW_SLIDE_OPEN,							// XChI[v
};
// [d̏
enum {
	BREW_CHARGE_OFF,						// [dI
	BREW_CHARGE_ON,							// [dJn
};

// \̃sNgw
enum {
	BREW_PICT_OFF,								// \
	BREW_PICT_ACTV,								// BREWN
	BREW_PICT_SUSPNED,							// TXyh
	BREW_PICT_COMM,								// ʐM
// [PTX803_FMRADIO] [S]
	BREW_FMPICT_OFF,							// FMWIM
	BREW_FMPICT_ON,								// FMWIM
// [PTX803_FMRADIO] [E]
};


// [BREWRESET] [S]
/* OEMC[֐Ăяov(BrewLibInitOEM) */
enum {
	BREWLIB_INIT,								// Ăяo
	BREWLIB_RESET,								// ZbgĂяo
};
// [BREWRESET] [E]

//*********************************************************************/
//	\
//*********************************************************************/

// BREWEBhE\
typedef struct {
	uint16				Width;					// \̈敝
	uint16				Height;					// \̈捂(܃\tgL[̈̍)
	uint16				SKHeight;				// \tgL[̈̍
	uint16				Depth;					// \̈Depth
	uint16				ScrlWidth;				// XN[o[̕
	uint16				TextScrlDelay;			// I[gXN[Jn҂(ms)
	flg					PaletteSupport:1;		// pbgT|[g
//  PTX-804 BREW-20050502001 NJK R q
	uint16				SubWidth;				// TuLCD\̈敝
	uint16				Subheight;				// TuLCD\̈捂
//  PTX-804 BREW-20050502001 NJK R q
} ST_BREW_SCRNINFO;

// foCX\
typedef struct {
	uint32				PlatformID;				// vbgtH[hc
	uint32				RamSize;				// őgp\q`lTCY
	flg					bFlip:1;				// tbv̗L
	flg					bGPSOne:1;				// gpsOneւ̑Ή
} ST_BREW_DEVINFO;

// Lingerݒ\
typedef struct {
	uint32				Default;				// LingerTimer̃ftHgl(ms)
} ST_BREW_LINGERINFO;


// BREW Ǘ\
typedef struct {
	//******************************************** EBhE̊Ǘ̈
	ST_GRAPH			*pGraph;				// Pixmapf[^
	ST_RECT				Clip;					// Nbv̈
	ST_RECT				Redraw;					// ĕ`̈
	short				Xs, Ys, Xe, Ye;			// kbc}bvʒu
	ST_BREW_SCRNINFO	ScrnInfo;				// BREWEBhE
	int					BrewPict;				// \̃sNg
	//******************************************** x
	BYTE				AntRfState;				// AeiFRF
	BYTE				AntLevel;				// AeiFx
	BYTE				BatChage;				// obe[F[d
	BYTE				BatLevel;				// obe[Fx
	//******************************************** Xe[g
	int					ActiveEZApp;			// EZAvs(BREW UI)
#	define				BREW_EXEC_UI			(1 << 0)
#	define				BREW_EXEC_CLO			(1 << 1)
#	define				BREW_EXEC_DMY			(1 << 2)
#	define				BREW_EXEC_ENQINIT		(1 << 3)
// [PTX802-NEW] EZNAVINΉ. [S]
#	define				BREW_EXEC_CLONOSUSPEND	(1 << 4)
// [PTX802-NEW] EZNAVINΉ. [E]
	int					NoticeState;			// BREWs
} ST_BREW_INFO;


// Taste 擾
typedef struct {
	RGBVAL				TextColor;				// F
	ST_POINT			CoordBGBitmap;			// wirbg}bvW
	AEERect				CoordSKeyLText;			// \tgL[eLXgW
	AEERect				CoordSKeyCText;			// \tgL[eLXgW
	AEERect				CoordSKeyRText;			// \tgL[EeLXgW
	AEERect				CoordSKeyLDText;		// \tgL[eLXgW
	AEERect				CoordSKeyRDText;		// \tgL[EeLXgW
	AEERect				CoordSKeyLBitmap;		// \tgL[rbg}bvW
	AEERect				CoordSKeyCBitmap;		// \tgL[rbg}bvW
	AEERect				CoordSKeyRBitmap;		// \tgL[Erbg}bvW
	AEERect				CoordSKeyLDBitmap;		// \tgL[rbg}bvW
	AEERect				CoordSKeyRDBitmap;		// \tgL[Erbg}bvW
	uint32				AlignSKeyLText;			// \tgL[ACg
	uint32				AlignSKeyCText;			// \tgL[ACg
	uint32				AlignSKeyRText;			// \tgL[EACg
	uint32				AlignSKeyLDText;		// \tgL[ACg
	uint32				AlignSKeyRDText;		// \tgL[EACg
} ST_BREW_TASTE_INFO;


//*********************************************************************/
//	Functions
//*********************************************************************/
//**** WFl (BrewAppLib.c) ***************************************
extern void BrewLibInitBrewInfo(void);
extern void BrewLibInitOEM(int CallFactor);
extern ST_BREW_INFO *BrewLibGetBrewInfo(void);
extern int BrewLibSendEvent(int event_code);

//**** 擾 (BrewLibInfo.c) ****************************************
extern void BrewLibInfo_SetAntenaLevel(BYTE Level);
extern uint16 BrewLibInfo_GetAntenaLevel(void);
extern void BrewLibInfo_SetBatteryLevel(BYTE Level);
extern BYTE BrewLibInfo_GetBatteryLevel(void);				/*** PTX805 TRK1597 ***/
extern void BrewLibInfo_SetChargeInfo(BYTE Level);
extern BYTE BrewLibInfo_GetChargeInfo(void);

// [Ver011APPLOADER] ֐ύX
// BrewSysModeGetEzAppTransMode --> BrewSysModeGetEzAppTransfer
#define BrewLibGetEzAppTransMode BrewSysModeGetEzAppTransfer
#define BrewLibGetEzAppStartMode BrewSysModeGetEzAppStartMode

extern void BrewLibGetScrnInfo(ST_BREW_SCRNINFO *pInfo);
extern void BrewLibGetDevInfo(ST_BREW_DEVINFO *pInfo);
extern void BrewLibGetLingerInfo(ST_BREW_LINGERINFO *pInfo);
extern unsigned long BrewLibGetSelTaste(unsigned long TasteNo, ST_BREW_TASTE_INFO *pTasteInfo);

//**** kbc (BrewLibLcd.c) ***************************************
extern void BrewLibInitGraph(ST_GRAPH *pGraph, short width, short height);
extern void BrewLibInitWindow(void);
//extern void BrewLibRequestUpdateWindow(BYTE *pBmp);
extern void BrewLibRequestUpdateWindow(BYTE *pBmp, boolean bDefer);
extern void BrewLibUpdateWindow(void);
extern void BrewLibExitWindow(void);
extern void BrewLibRectBrewToNative(ST_RECT *pDst, const AEERect *pSrc);
extern void BrewLibSelectPict(int Pict);
extern void BrewTaskInitWindow(void);
extern int BrewApiLcdInvalidateWindow(void);
extern void BrewApiSubLcdDispMessage(int State);

// PTX633-TRK-1982 [S]
extern unsigned long BrewObsRpcGrpSubLCD(void *pRpcBlk);
extern unsigned long BrewTaskRpcGrpSubLCD(void *pRpcBlk);


//**** R[hϊ (BrewLibCode.c) **************************************
extern int BrewLibCodeAEChar2Native(BYTE *pNativeText, AECHAR *pBrewText, int nChar);
extern int BrewLibCodeNative2AEChar(AECHAR *pBrewText, BYTE *pNativeText);

/********** End OF File ***********************************************/
#endif /* __BREWAPPLIB_H__ */
