/*=========================================================================== 
                              BrewMgr.c                                       
                                                                              
  Brew Status Management                                                      
                                                                              
  This file contains implementation of the Brew Status Management             
                                                                              
        Copyright  1999-2002 QUALCOMM Incorporated.                          
               All Rights Reserved.                                           
            QUALCOMM Proprietary/GTDR                                         
============================================================================*/
/*===========================================================================

                        EDIT HISTORY FOR MODULE

when       who            what, where, why
--------   ----------     ---------------------------------------------------
01/14/04   uehara@ISB    [TRK-2143]   BrewWAPBrewΉ                    
                          VK쐬                                           
===========================================================================*/

// BREW_STATUS_INI        :Base:Dead    Shim:Dead    BrewUI:Dead   Base2:Dead     NativeInt:Dead   //
// BREW_STATUS_NATIVE     :Base:Active  Shim:Dead    BrewUI:Dead   Base2:Dead     NativeInt:Dead   //Native
// BREW_STATUS_BREW       :Base:Suspend Shim:Active  BrewUI:Dead   Base2:Dead     NativeInt:Dead   //BrewN
// BREW_STATUS_NATIVEINT  :Base:Suspend Shim:Dead    BrewUI:Dead   Base2:Dead     NativeInt:Active //Native荞ݏ
// BREW_STATUS_NORMALSUSP :Base:Suspend Shim:Dead    BrewUI:Dead   Base2:Suspend  NativeInt:Dead   //AvL[ɂ钆f
// BREW_STATUS_SHIM       :Base:Suspend Shim:Active  BrewUI:Dead   Base2:Dead     NativeInt:Dead   //ShimN
// BREW_STATUS_NSUSPSUSP  :Base:Suspend Shim:Dead    BrewUI:Dead   Base2:Suspend  NativeInt:Dead   //AvL[ɂ钆fBrewN
// BREW_STATUS_SHIMSUSP   :Base:Suspend Shim:Suspend BrewUI:Active Base2:Dead     NativeInt:Dead   //ShimN̏BrewN
// BREW_STATUS_NATIVETOBREW :Base:Suspend Shim:Dead    BrewUI:Dead   Base2:Dead     NativeInt:Dead   //BrewNւ̏ԑJڒ EShimIւ̏ԑJڒ
// BREW_STATUS_BREWTOSHIM  :Base:Suspend Shim:Active BrewUI:Active Base2:Dead     NativeInt:Dead   //ShimAvNւ̏ԑJڒ
// BREW_STATUS_SHIMTOBREW :Base:Suspend Shim:Suspend BrewUI:Dead   Base2:Dead     NativeInt:Dead   //ShimNBrewNւ̏ԑJ
// BREW_STATUS_BREWTONATIVE :Base:Active Shim:Dead   BrewUI:Active Base2:Dead     NativeInt:Dead   //BrewIւ̏ԑJڒ
// BREW_STATUS_INITTOINIT  :Base:Dead   Shim:Dead    BrewUI:Active Base2:Dead     NativeInt:Dead   //ݒ̏ԑJڒ

// [TRK-2143]   BrewWAPBrewΉ [S]
typedef enum
{
   BREW_STATUS_INI=0,                     // Status1  : 
   BREW_STATUS_NATIVE,                    // Status2  : Native
   BREW_STATUS_BREW,                      // Status3  : BrewN
   BREW_STATUS_ABSOLUTESUSP,              // Status4  : f
   BREW_STATUS_SHIM,                      // Status5  : ShimN
   BREW_STATUS_NORMALSUSP,                // Status6  : ʏ풆f
   BREW_STATUS_SHIMSUSP,                  // Status7  : Brew(Shim)N
   BREW_STATUS_BREWTOSHIM,                // Status8  : BrewNԂShimNԂ֑Jڒ
   BREW_STATUS_SHIMTOSHIMBREW,            // Status9  : ShimNԂBrew(Shim)NԂ֑Jڒ
   BREW_STATUS_BREWTONATIVE,              // Status10 : BrewNԂNativeԂւ̑Jڒ
   BREW_STATUS_NORMALSUSPTOBREW,          // Status11 : ʏ풆fBrewNԂւ̑Jڒ
   BREW_STATUS_NATIVETOBREW,              // Status12 : NativeNԂBrewNԂւ̑Jڒ
   BREW_STATUS_BREWTOABSOLUTESUSP,        // Status13 : BrewNԂ狭fԂւ̑Jڒ
   BREW_STATUS_INITTOINIT,                // Status14 : Ԃ珉Ԃւ̑Jڒ
   BREW_STATUS_SHIMSUSPTOABSOLUTESUSP,    // Status15 : Brew(Shim)NԂ狭fւ̑Jڒ
   BREW_STATUS_SHIMSUSPABSOLUTESUSP,      // Status16 : f(BrewShimBrewԂ)
   BREW_STATUS_SHIMSUSPTONORMALSUSP,      // Status17 : Brew(Shim)NԂʏ풆fւ̑Jڒ
   BREW_STATUS_SHIMSUSPNORMALSUSP         // Status18 : ʏ풆fԁiBrewShimBrewԂ́j
}BREWMGR_STATUS_KIND;
// [TRK-2143]   BrewWAPBrewΉ [E]

extern int BrewMgrGetStatus(void);

