#ifndef OEMCLASSIDS_H
#define OEMCLASSIDS_H
/*======================================================
FILE:  AEEOEMClassIDs.h

SERVICES:  OEM specific class IDs

GENERAL DESCRIPTION:
   Base level definitions, typedefs, etc. for AEE

        Copyright  1999-2002 QUALCOMM Incorporated.
               All Rights Reserved.
            QUALCOMM Proprietary/GTDR
=====================================================*/
/******************************************************************************
//  [PTX-804C]
//		PTX-804 BREW101-TRK1354-20050609001 NJK q G
//			AppMgrwiߑΉ(TRK1354)
//  [PTX-805C]
//	Version		UIQ/TRK	OutLine
//	00.06.00	UIQ44	PTX-805 BREW201-UIQ44-20050901001 NJK  X
//							UIQ44ύXv]Ή
//	00.15.00 			PTX-805 BREW202-20050929001 NJK R q
//							PCSV/ҎwClassIDǉiؑΉj
//	00.20.00	TRK120	PTX-805 BREW203-20051007001 NJK q G
//							BREW-DFݍ폜Ή
//	00.30.00			PTX-805 BREW204-20051013001 NJK  X
//							o[R[hAv NXIDύXΉ
//	00.30.00			PTX-805 BREW205-20051013001 NJK R q
//							PCSV/ҎwClassID폜i.bidőΉj
//	00.70.00	TRK2079	PTX-805 BREW206-20051118001 NJK  X
//							AvRItemIDύXΉ
//  [PTX-812C]
//	Version		UIQ/TRK	OutLine
//	00.11.00	UIQ590	PTX-812 BREW301-20060329001 NEU zhoujh
//							AppMgr ߋ@ɂSEMCƎJX^}CY@\̎
******************************************************************************/

#include "AEEClassIDs.h"
#include "OEMFeatures.h"

#include "impctl.bid"											/*** PTX-805 BREW201 ***/


#define AEECLSID_LAUNCHER          (AEECLSID_OEM_APP)
#define AEECLSID_UPBROWSER         (AEECLSID_BROWSER)
#define AEECLSID_UP4BROWSER        (AEECLSID_BROWSER)

#define AEECLSID_PROVISION_PRL     (AEECLSID_OEM + 0x100)             
#define AEECLSID_PROVISION_NAM     (AEECLSID_OEM + 0x101)
#define AEECLSID_PROVISION_CLOGO   (AEECLSID_OEM + 0x102)
#define AEECLSID_OEMBRIDGE         (AEECLSID_OEM + 0x103)
#define AEECLSID_DOWNSHIFT         (AEECLSID_OEM + 0x104)

#define AEECLSID_OEMADDRBOOK       (AEECLSID_OEM + 0x105)
#define AEECLSID_OEMRUIMADDRBOOK   (AEECLSID_OEM + 0x106)


// Static Applet ClassID
//#define AEECLSID_APPMGR_BID			(AEECLSID_OEM_APP + 0x200)
//#define AEECLSID_MOBILESHOP_BID		(AEECLSID_OEM_APP + 0x201)
#define AEECLSID_KDDI_SHIM			(AEECLSID_OEM_APP + 0x202)
#define AEECLSID_SO_BASEAPPLET		(AEECLSID_OEM_APP + 0x203)
#define AEECLSID_TRANSIENTAPPLET	(AEECLSID_OEM_APP + 0x204)
#if defined(PTX633_HOTMOCK)
#define AEECLSID_PRESENTER			(AEECLSID_OEM_APP + 0x205)
#endif // defined(PTX633_HOTMOCK)
// [PTX812_KCPCORE_NEU] zhoujh Add Start at 2006/03/29 For UIQ590
#define AEECLSID_APPMGR_RESET		(AEECLSID_OEM_APP + 0x206)
#define AEECLSID_MOBILESHOP_COMMAREA	(AEECLSID_OEM_APP + 0x207)
// [PTX812_KCPCORE_NEU] zhoujh Add End at 2006/03/29 For UIQ590

// OTS N.Kamimura #define AEECLSID_APPMGR_BID           (AEECLSID_OEM_APP + 0x200)
// OTS N.Kamimura #define AEECLSID_MOBILESHOP_BID       (AEECLSID_OEM_APP + 0x201)
#include "../app/AppMgr/AppMgr.bid"					// OTS N.Kamimura bΏ:ΎQƂ͕ύX邱
#include "../app/AppMgr/MobileShop.bid"				// OTS N.Kamimura bΏ:ΎQƂ͕ύX邱
#include "../app/AppMgr/KDDICLSID_SCREENSAVER.bid"	// OTS N.Kamimura bΏ:ΎQƂ͕ύX邱

#define AEECLSID_NPF_LISTENER		(AEECLSID_OEM_APP + 0x209)

/********************************************************************************
 *	yIӁIz
 *	ShimAppletɑ΂ăNXID`Ă܂B
 *	BrewStatCtrl.c̊e䕔ł́u AEECLSID_KDDI_SHIM vɂĔł悤
 *	ȂĂ܂ABrewStatCtrl_GetAppHist()ISHELL_ActiveApplet()Œ
 *	NXID擾ꍇAShimAppletł΁A
 *	AEECLSID_KDDI_SHIM_MIN`AEECLSID_KDDI_SHIM_MAX ̒lԋp܂B
 *	AEECLSID_KDDI_SHIMɂĔ肷Kvꍇɂ́A
 *	AEECLSID BrewShimApplet_ConvClsID(AEECLSID ClsID)
 *	gpăNXID̕ϊsĂB
 ********************************************************************************/
#define AEECLSID_KDDI_SHIM_0		(AEECLSID_OEM_APP + 0x210)
#define AEECLSID_KDDI_SHIM_1		(AEECLSID_OEM_APP + 0x211)
#define AEECLSID_KDDI_SHIM_2		(AEECLSID_OEM_APP + 0x212)
#define AEECLSID_KDDI_SHIM_3		(AEECLSID_OEM_APP + 0x213)
#define AEECLSID_KDDI_SHIM_4		(AEECLSID_OEM_APP + 0x214)
#define AEECLSID_KDDI_SHIM_5		(AEECLSID_OEM_APP + 0x215)
#define AEECLSID_KDDI_SHIM_6		(AEECLSID_OEM_APP + 0x216)
#define AEECLSID_KDDI_SHIM_7		(AEECLSID_OEM_APP + 0x217)
#define AEECLSID_KDDI_SHIM_8		(AEECLSID_OEM_APP + 0x218)
#define AEECLSID_KDDI_SHIM_9		(AEECLSID_OEM_APP + 0x219)
#define AEECLSID_KDDI_SHIM_10		(AEECLSID_OEM_APP + 0x220)
#define AEECLSID_KDDI_SHIM_11		(AEECLSID_OEM_APP + 0x221)
#define AEECLSID_KDDI_SHIM_12		(AEECLSID_OEM_APP + 0x222)
#define AEECLSID_KDDI_SHIM_13		(AEECLSID_OEM_APP + 0x223)
#define AEECLSID_KDDI_SHIM_14		(AEECLSID_OEM_APP + 0x224)
#define AEECLSID_KDDI_SHIM_15		(AEECLSID_OEM_APP + 0x225)
#define AEECLSID_KDDI_SHIM_16		(AEECLSID_OEM_APP + 0x226)
#define AEECLSID_KDDI_SHIM_17		(AEECLSID_OEM_APP + 0x227)
#define AEECLSID_KDDI_SHIM_18		(AEECLSID_OEM_APP + 0x228)
#define AEECLSID_KDDI_SHIM_19		(AEECLSID_OEM_APP + 0x229)

#define AEECLSID_KDDI_SHIM_MIN		AEECLSID_KDDI_SHIM_0
#define AEECLSID_KDDI_SHIM_MAX		AEECLSID_KDDI_SHIM_19


// Applet ClassID
#define	AEECLSID_FMRADIO			0x0101F28B			// FMWIAvNXID
//#define	AEECLSID_APPLIREMOCON		0x01027A14			// AvRNXID				/*** PTX-805 BREW206 ***/
#define	AEECLSID_APPLIREMOCON		0x01035122			// AvRNXID(=TVԑgKCh)	/*** PTX-805 BREW206 ***/
//#define	AEECLSID_BARCODE			0x01025BD8			// o[R[h[_[AvNXID	/*** PTX-805 BREW204 ***/
#define	AEECLSID_BARCODE			0x010349F7			// o[R[h[_[AvNXID		/*** PTX-805 BREW204 ***/

// Interface ClassID
#define AEECLSID_STD_SOFTKEYCTL		0x01012f24
#define AEECLSID_MENUCTL_SEMC		0x01003201			// wiAppMgrpMenuCtl
#define AEECLSID_CLIENTAUTH			0x01026b50			// GPRg[֘AIC^tF[X
#define AEECLSID_DIGITALSIGN		0x01026b51			// GPRg[֘AIC^tF[X
#define AEECLSID_WIMPROMPT			0x01026d93			// GPRg[֘AIC^tF[X
#define AEECLSID_SSL_101  			0x01032176
#define AEECLSID_MPCTLKMF			(AEECLSID_IMPCTL)	// ==MMP==	/*** PTX-805 BREW201 ***/



/*=====================================================================
  DATA STRUCTURE DOCUMENTATION
=======================================================================
AEEOEMClassIDs

Description:


Definition:

#define AEECLSID_LAUNCHER          (AEECLSID_OEM_APP)
#define AEECLSID_UPBROWSER         (AEECLSID_BROWSER)
#define AEECLSID_UP4BROWSER        (AEECLSID_BROWSER)

#define AEECLSID_PROVISION_PRL     (AEECLSID_OEM + 0x100)             
#define AEECLSID_PROVISION_NAM     (AEECLSID_OEM + 0x101)
#define AEECLSID_PROVISION_CLOGO   (AEECLSID_OEM + 0x102)
#define AEECLSID_OEMBRIDGE         (AEECLSID_OEM + 0x103)
#define AEECLSID_DOWNSHIFT         (AEECLSID_OEM + 0x104)

#define AEECLSID_OEMADDRBOOK       (AEECLSID_OEM + 0x105)
#define AEECLSID_OEMRUIMADDRBOOK   (AEECLSID_OEM + 0x106)

Members:
None

See Also:
None

======================================================================*/

#endif   // OEMCLASSIDS_H


