#ifndef _OEMMPUTILOM_H_
#define _OEMMPUTILOM_H_
/*======================================================
FILE:  OEMMPUtilOM.h

SERVICES:
   OEM functions for supporting BREW MPUTILOM
   Interface

GENERAL DESCRIPTION:
   This file provides the prorotypes of the functions
   that OEMs must provide in order to support the BREW
   MPUTILOM interfaces

=====================================================*/

#include "AEE.h"
#include "AEE_OEM.h"
#include "OEMMPUtil.h"

extern void	OEMMPUTILOM_Init		( void );
//extern void*	OEMMPUTILOM_New			( IMPUtilOM *pMe, uint32 *pnErr );
extern int	OEMMPUTILOM_GetMemoryType	( void * po, int * pMemoryType );
/*@*/extern int	OEMMPUTILOM_LoadOutsideMemory	( void * po );
extern boolean	OEMMPUTILOM_IsMounted		( void * po );

#endif // _OEMMPUTILOM_H_
