/*======================================================

FILE:      OEMModTableExt.h

SERVICES:  Static extensions supplied by OEM

GENERAL DESCRIPTION:

  Declaration of ext lists of AEEStaticClasses, AEEkStaticClasses and
    AEEStaticMods that come from OEMModTableExt.c

PUBLIC CLASSES AND STATIC FUNCTIONS:

    none

INITIALIZATION & SEQUENCING REQUIREMENTS:

	See Exported Routines

        Copyright  2004 QUALCOMM Incorporated.
               All Rights Reserved.
            QUALCOMM Proprietary/GTDR
=====================================================*/
#ifndef OEMMODTABLEEXT_H
#define OEMMODTABLEEXT_H /* #ifndef OEMMODTABLEEXT_H */

#include "AEEModTable.h"
#include "AEEkModTable.h"

extern const AEEStaticMod     *gOEMStaticModLists[];

extern const AEEStaticClass   *gOEMStaticClassLists[];

extern const AEEkStaticClass  *gOEMkStaticClassLists[];

#endif /* #ifndef OEMMODTABLEEXT_H */
