/*=============================================================================
                  


FILE:  brewlogitemhdr.h

SERVICES:  
   Defines some typedefs and structs to share between the BREW Core, Developer, and PC

DESCRIPTION:
   This file provides defintions for the logging data types that need to be 
   shared between the phone and log parser

        Copyright  2000-2001 QUALCOMM Incorporated.
               All Rights Reserved.
            QUALCOMM Proprietary/GTDR
=============================================================================*/

#ifndef BREWLOGITEMHDR_INCLUDED
#define BREWLOGITEMHDR_INCLUDED
#include "AEELoggerTypes.h"


#pragma pack(1)

// These are defined as a part of the BREW Header in AEE, 
// so if the user has access to it the file can be included  
// We are not including the same in this sample script 
// as it would have introduced a dependency on the parser that
// the above mentioned file be present and the include path configured. 

typedef  uint32                     AEECLSID;
typedef  uint16                     AEELogItemType;
typedef  uint16                     AEELogPriorityType;

typedef  AEECLSID                   _CLSID;
typedef  AEELogItemType             _LogItemType;
typedef  AEELogPriorityType         _LogPriorityType;

// BREW log record header, 
/*
typedef struct
{

   uint8                version;
   _CLSID               classID;
   uint16               instanceID;
   _LogItemType         type;
   _LogPriorityType     level;
   uint16               nSize;
} _LogRcdHdrType;
*/
typedef AEELogRcdHdrType brewlogitemhdr_type;

#endif // _BREWLOGITEMHDR_INCLUDED